// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from {opacity: 0;} to {opacity: 1;} };
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from {opacity: 1;} to {opacity: 0;} };

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}
@keyframes toHide { 0% { opacity: 0.5; } 100% { opacity: 1; } }
@keyframes toShow { 0% { opacity: 1; } 100% { opacity: 0.5; } }

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}
.ani {
    &--rnd0infinite:after { @include animation-random-mixin(toHide, 0.10s, 0.8s, infinite); }
    &--rnd1infinite:after { @include animation-random-mixin(toHide, 0.65s, 0.8s, infinite); }
    &--rnd2infinite:after { @include animation-random-mixin(toHide, 0.30s, 0.8s, infinite); }
    &--rnd3infinite:after { @include animation-random-mixin(toHide, 0.45s, 0.8s, infinite); }
    &--rnd4infinite:after { @include animation-random-mixin(toHide, 0.15s, 0.8s, infinite); }
    &--rnd5infinite:after { @include animation-random-mixin(toHide, 0.40s, 0.8s, infinite); }
    &--rnd6infinite:after { @include animation-random-mixin(toHide, 0.25s, 0.8s, infinite); }
    &--rnd7infinite:after { @include animation-random-mixin(toHide, 0.35s, 0.8s, infinite); }
    &--rnd8infinite:after { @include animation-random-mixin(toHide, 0.50s, 0.8s, infinite); }
    &--rnd9infinite:after { @include animation-random-mixin(toHide, 0.45s, 0.8s, infinite); }
    &--rnd10infinite:after { @include animation-random-mixin(toHide, 0.60s, 0.8s, infinite); }
    &--rnd11infinite:after { @include animation-random-mixin(toHide, 0.55s, 0.8s, infinite); }
    &--rnd12infinite:after { @include animation-random-mixin(toHide, 0.05s, 0.8s, infinite); }

}
.airpay_dec2018 {
    position: relative;
    display: block;
    width: 100%;
    height: 1811px;
    // background: no-repeat top center url(../static/images/airpay_dec2018/position.jpg);
    background: no-repeat top center url(../static/images/airpay_dec2018/background.jpg);
    &__section {
        position: relative;
        display: block;
        width: 100%;

        &--header {
            height: 700px;
        }
        &--condition {
            height: 330px;
        }
        &--wishingtree{
            height: 750px;
        }
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
        &--date {
            float: left;
            background: no-repeat center url(../static/images/airpay_dec2018/tag_date.png);
        }
        &--event {
            float: right;
            background: no-repeat center url(../static/images/airpay_dec2018/tag_event.png);
        }
    }
}
.condition {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    // background-color: rgba(0,100,0,0.5);
    &__inner {
        position: absolute;
        top: 0;
        left: 180px;
        display: block;
        width: 740px;
    }
    &__head {
        position: relative;
        display: block;
        width: 370px;
        height: 107px;
        margin: 0px auto;
        // background: no-repeat center url(../static/images/airpay_dec2018/head_block.png);
        background: no-repeat center url(../static/images/airpay_dec2018/head_condition.png);
    }
    &__text {
        font-size: 16px;
        color: #FFFFFF;
        padding: 20px;
        li {
            list-style-type: decimal;
        }
        span {
            color: #488cf1;
            font-weight: bolder;
        }
    }
}
.wishingtree{
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner{
        position: absolute;
        top: 0;
        left: 180px;
        display: block;
        width: 740px;
    }
    &__head{
        position: relative;
        display: block;
        width: 370px;
        height: 107px;
        margin: 0px auto;
        background: no-repeat center url(../static/images/airpay_dec2018/head_wishingtree.png);
    }
    &__group{
        display: inline-block;
        vertical-align: middle;
    }
    &__christmastree{
        background: no-repeat center url(../static/images/airpay_dec2018/christmastree.png);
        width: 390px;
        height: 480px;
        position: relative;
    }
    &__box{
        background: no-repeat center bottom url(../static/images/airpay_dec2018/box_christmastree.png);
        width: 313px;
        position: relative;
        margin: 10px auto;
    }
    &__headbox{
        width: 100%;
        height: 95px;
        margin: 0 auto;
        &--numstar{
            background: no-repeat center url(../static/images/airpay_dec2018/head_numstar.png);
        }
        &--changehat{
            background: no-repeat center url(../static/images/airpay_dec2018/head_changehat.png);
        }
    }
    &__boxbottom{
        height: 156px;
        color: #ffffff;
        font-family: 'Kanit-SemiBold';
        text-align: center;
        font-size: 80px;
    }
    &__btnchangehat{
        background: no-repeat center top url(../static/images/airpay_dec2018/btn_wishingtree.png);
        width: 157px;
        height: 54px;
        display: block;
        margin: 0 auto;
        position: absolute;
        bottom: -25px;
        left: 0;
        right: 0;
        &.getitem{
            background-position: 0 -54px;
            cursor: pointer;
        }
        &.haveitem{
            background-position: 0 -108px;
        }
    }
    &__starbox{
        position: absolute;
        bottom: 0;
        left: 3%;
        width: 100%;
        height: 88%;
    }
    &__star{
        position: relative;
        background: no-repeat center url(../static/images/airpay_dec2018/star.png);
        width: 64px;
        height: 62px;
        display: block;
        margin: 0 auto;
        cursor: pointer;
        &:after {
            content: "";
            position: absolute;
            top: 50%;
            left: 50%;
            display: block;
            width: 100%;
            height: 100%;
            transform: translate3d(-50%,-50%,0);
            background-image: url(../static/images/airpay_dec2018/star_top.png);
        }
        &[starChild^="0"]{
            // background-image: url(../static/images/airpay_dec2018/star_top.png);
        }
        &[starChild^="1"]{
            margin-left: 7.5em;
            margin-top: -0.4em;
        }
        &[starChild^="2"]{
            margin-top: -2em;
            margin-right: 8.4em;
        }
        &[starChild^="3"]{
            margin-left: 4.6em;
            margin-top: -0.6em;
        }
        &[starChild^="4"]{
            margin-top: -2.1em;
            margin-left: 9.5em;
        }
        &[starChild^="5"]{
            margin-right: 5.8em;
            margin-top: -5em;
        }
        &[starChild^="6"]{
            margin-left: 1.8em;
            margin-top: 0.6em;
        }
        &[starChild^="7"]{
            margin-left: 7.3em;
            margin-top: -3em;
        }
        &[starChild^="8"]{
            margin-top: -2.5em;
            margin-right: 4em;
        }
        &[starChild^="9"]{
            margin-left: 3.8em;
            margin-top: -2.1em;
        }
        &[starChild^="10"]{
            margin-top: -2.8em;
            margin-left: 11em;
        }
    }
}
